

:root {
  /* bg-color*/
  --faded-blue: #dce0ee;
  --almostblack: #160015;
  --snow: white;
  --navy: #37415d;
  --blue: #7d9aff;
  --grey: #b4b4b4;
}
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}
body {
  height: 100vh;
  width: 100vw;
  user-select: none;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--almostblack);
}
.bg-container {
    position: fixed;
    top: 40%;
    left: -140%;
    width: 200%;
    height: 200%;
    z-index: -1;
    opacity: 20%;
}
.bg-container img {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  min-width: 50%;
  min-height: 50%;
  filter: blur(15px);
  -webkit-filter: blur(50px);
  transform: scale(1.1);
}
h1 {
  text-transform: capitalize;
  font-family: "Facile Sans", Helvetica, sans-serif;
  letter-spacing: 2px;
  font-weight: 600;
  color: #ff057d;
  font-size: 2em;
  padding: 5px;
}
h2 {
  color: var(--blue);
  font-size: 1em;
  font-weight: 500;
  font-family: Helvetica, sans-serif;
letter-spacing: 2px;
}
h3 {
  font-size: 0.7em;
  font-weight: 600;
  color: #f900fe;
  text-transform: capitalize;
  font-family: Helvetica, sans-serif;
letter-spacing: 2px;
}
h4 {
  color: #f5c200;
  font-size: 0.8em;
  text-transform: capitalize;
  font-family: Helvetica, sans-serif;
  letter-spacing: 2px;
}
h5 {
  color: #f5c200;
  font-size: 0.8em;
  text-transform: capitalize;
  font-family: Helvetica, sans-serif;
  letter-spacing: 2px;
}
.now-playing-banner {
    animation: move 13s linear infinite;
    margin-top: 4vh;
}
.header-banner {
    height: calc(50% -5);
    width: 100%;
    padding: 5px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    border-bottom: 1px solid var(--navy);
    transition: all .2s;
    align-items: center;
    padding-right: 3vw;
    padding-left: 3vw;
    padding-bottom: 10px;
}
.album-title {
    text-transform: capitalize;
    font-family: "Facile Sans", Helvetica, sans-serif;
    letter-spacing: 2px;
    font-weight: 600;
    color: #f5c200;
    font-size: 1em;
    padding-right: 3vw;
    padding-left: 3vw;
    height: 30px;
    text-align: center;
}
.trax {
  text-transform: capitalize;
  font-family: "Facile Sans", Helvetica, sans-serif;
  letter-spacing: 2px;
  font-weight: 600;
  color: #ff057d;
  font-size: 1.5em;
}
.bandcamp {}
.song-list {
    width: 100%;
    height: 33%;
    padding: 0px 14px;
    display: flex;
    flex-direction: column;
    overflow: auto;
    margin-bottom: 20px;
}
.player-wrapper {
  position: absolute;
  max-height: 480px;
  height: 480px;
  width: 340px;
  border-radius: 0px;
  background-color: var(--almostblack);
}
.overlay {
    position: absolute;
    width: 0;
    height: 100%;
    z-index: 1;
    top:0;
    left:0;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
    /*overflow-x : hidden;*/
    background: var(--blue);
}
.overlay span, .overlay-content span {
  color: black;
  font-size: 30px;
  font-weight: 500;
  padding: 5px;
}
.overlay-content {
    width: 100%;
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: var(--snow);
}
.overlay-content span {
    font-size: 25px;
}
.row {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    font-size: 0.7em;
    margin: 5px;
    color: black;
}
.cover {
    height: 47%;
    width: 100%;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    margin-bottom: 10px;
    z-index: -1;
    overflow: hidden;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    /* box-shadow: -18px 18px 36px #9fa3a6, 
  18px -18px 36px #d7dde0; */
    display: flex;
    flex-direction: column;
    align-items: center;
}
.cover-nav {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
.cover-nav span {
  font-size: 23px;
  padding: 15px;
  color: var(--faded-blue);
}
@keyframes move {
    0% {
        transform: translateX(0%);
    }
    50% {
        transform: translateX(50%);
    }
    100% {
        transform: translateX(100%);
    }
}
/*.big-play-button {
  z-index: 1;
  position: absolute;
  right: 3vw;
  top: 250px;
  height: 60px;
  width: 60px;
  border-radius: 50%;
  z-index: 1;
  /*background-color: var(--blue);*/
  transition: all 0.2s;
}*/
.big-play-button:hover {
  transform: scale(1.1);
  cursor: pointer;
}
/*.big-play-button i {
  padding-left: 34px;
  padding-top: 18px;
  font-size: 30px;
  color: var(--snow);
}*/
.song-row {
  height: calc(50% -5);
  width: 100%;
  padding: 5px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  border-bottom: 1px solid var(--navy);
  transition: all .2s;
  align-items: center;
}
.song-row:hover {
  background-color: #373737;
}
.song-row span {
  color: #d9d9d9;
  font-size: 0.6em;
  font-weight: 600;
  font-family: Helvetica, sans-serif;
letter-spacing: 2px;
}
.song-row:nth-child(1),
.song-row:last-child {
  border-bottom: none;
}
.song-row:nth-child(1):hover{
  background-color: transparent;
}

.fixed-bottom {
    /* width: 340px; */
    /* height: 20px; */
    /* text-align: center; */
    /* margin: 0 auto; */
    display: flex;
    cursor: pointer;
    justify-content: center;
}
.fixed-home-bottom {
  width: 340px;
  height: 20px;
  bottom: 3%;
  position: absolute;
  text-align: center;
  margin: 0 auto;
  display: block;
  cursor: pointer;
}
#expand {
  font-size: 25px;
  color: var(--blue);
  display: block;
}
.now-playing-wrapper {
  height: 95%;
  width: 100%;
  padding: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.now-playing-img {
  height: 50%;
  width: 60%;
margin-top: 20px;
  border-radius: 10px;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  box-shadow: 0px 1px 20px -22px #BCBCBC;
}
.now-playing-title {
  text-align: center;
  width: 80%;
  margin: 10px;
  display: flex;
  flex-direction: column;
}
.controls {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.controls i {
    color: #7d9aff;
    cursor: pointer;
}
/* Progress */
.progress-container {
    background: #fff;
    border-radius: 5px;
    cursor: pointer;
    margin: 20px 20px 20px;
    height: 4px;
    width: 80%;
}

.progress {
  background: #e0b100;
  border-radius: 5px;
  height: 100%;
  width: 0%;
  transition: width 0.1s linear;
}

.duration-wrapper {
  position: relative;
  top: -25px;
  display: flex;
  justify-content: space-between;
  color: #fff;
  font-family: "Facile Sans", Helvetica, sans-serif;
letter-spacing: 1px;
}

@keyframes colorChange {
  0% {
    background: linear-gradient(
      to left,
      var(--navy),
      var(--blue),
      var(--faded-blue),
      var(--grey)
    );
  }
  50% {
    background: linear-gradient(
      to right,
      var(--navy),
      var(--blue),
      var(--faded-blue),
      var(--grey)
    );
  }
  100% {
    background: linear-gradient(
      to left,
      var(--navy),
      var(--blue),
      var(--faded-blue),
      var(--grey)
    );
  }
}

